LibreOffice: ContentProviderProxy Service Reference

LibreOffice LibreOffice 5.3 SDK API Reference

Exported Interfaces | List of all members
ContentProviderProxy Service Referencepublished

is a proxy for a content provider. More...

`import"ContentProviderProxy.idl";`

Inheritance diagram for ContentProviderProxy:

## Exported Interfaces
interface | com::sun::star::uno::XInterface
| The implementation of com::sun::star::uno::XInterface::queryInterface() must instantiate the real provider and return the return value of a queryInterface call at the real provider, except for queries for the interfaces implemented by the proxy itself. More...
interface | com::sun::star::ucb::XContentProviderSupplier
| gives access to the original content provider behind the proxy. More...
interface | com::sun::star::ucb::XContentProvider
| a content provider implementation that wraps the original provider. More...
interface | com::sun::star::ucb::XParameterizedContentProvider
| a parameterized content provider implementation that wraps the original provider. More...

## Additional Inherited Members
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XContentProviderSupplier
com::sun::star::ucb::XContentProvider | getContentProvider ()
| returns a content provider. More...
Public Member Functions inherited from XContentProvider
com::sun::star::ucb::XContent | queryContent ([in] com::sun::star::ucb::XContentIdentifier Identifier) raises ( com::sun::star::ucb::IllegalIdentifierException )
| creates a new XContent instance, if the given XContentIdentifier matches a content provided by the implementation of this interface. More...
long | compareContentIds ([in] com::sun::star::ucb::XContentIdentifier Id1, [in] com::sun::star::ucb::XContentIdentifier Id2)
| compares two XContentIdentifiers. More...
Public Member Functions inherited from XParameterizedContentProvider
com::sun::star::ucb::XContentProvider | registerInstance ([in] string Template, [in] string Arguments, [in] boolean ReplaceExisting) raises (com::sun::star::lang::IllegalArgumentException)
| Register a content provider on a URL template and supplementary arguments. More...
com::sun::star::ucb::XContentProvider | deregisterInstance ([in] string Template, [in] string Arguments) raises (com::sun::star::lang::IllegalArgumentException)
| Deregisters a content provider. More...

## Detailed Description

is a proxy for a content provider.

Implementing a content provider proxy can be useful if the creation of the real content provider object shall be deferred for some reason (i.e. performance) until the first method gets called on it. Instead of instantiating and registering the real provider at the UCB, a proxy for the real provider can be created and registered at the UCB.

See also
  XContentProviderProxyFactory

## Exported Interfaces

## ◆ com::sun::star::ucb::XContentProvider

interface com::sun::star::ucb::XContentProvider

a content provider implementation that wraps the original provider.

## ◆ com::sun::star::ucb::XContentProviderSupplier

interface com::sun::star::ucb::XContentProviderSupplier

gives access to the original content provider behind the proxy.

The implementation will instantiate the real content provider only on demand using its UNO service name. This will load the content providers implementation code (dynamic library), if not already done.

## ◆ com::sun::star::ucb::XParameterizedContentProvider

interface com::sun::star::ucb::XParameterizedContentProvider

a parameterized content provider implementation that wraps the original provider.

## ◆ com::sun::star::uno::XInterface

interface com::sun::star::uno::XInterface

The implementation of com::sun::star::uno::XInterface::queryInterface() must instantiate the real provider and return the return value of a queryInterface call at the real provider, except for queries for the interfaces implemented by the proxy itself.

So the caller of the queryInterface method at the proxy will get access to the real provider in a completely transparent way.

The documentation for this service was generated from the following file:

- com/sun/star/ucb/ContentProviderProxy.idl